From: Stefan Berger <stefanb@linux.vnet.ibm.com>
To: linux-integrity@vger.kernel.org
Cc: zohar@linux.ibm.com, Stefan Berger <stefanb@linux.ibm.com>
Subject: [ima-evm-utils][PATCH 2/3] CI/CD: Disable pkcs11 providers for Debian and AltLinux
Date: Thu, 20 Jun 2024 20:59:11 -0400 [thread overview]
Message-ID: <20240621005912.1365462-3-stefanb@linux.vnet.ibm.com> (raw)
In-Reply-To: <20240621005912.1365462-1-stefanb@linux.vnet.ibm.com>
From: Stefan Berger <stefanb@linux.ibm.com>
Disable testing provider support on Debian:latest and AltLinux:sisyphus
since both now get stuck while running OpenSSL provider-related tests.
This is most likely due to an update in a dependency (OpenSSL, libp11,
softhsm, or others).
On AltLinux the issues is related to a pthread_mutex_lock() down the
C_Login -> C_OpenSession callpath that blocks forever.
Signed-off-by: Stefan Berger <stefanb@linux.ibm.com>
---
ci/alt.sh | 2 +-
ci/debian.sh | 2 +-
2 files changed, 2 insertions(+), 2 deletions(-)
diff --git a/ci/alt.sh b/ci/alt.sh
index f86dcec..f1eefbf 100755
--- a/ci/alt.sh
+++ b/ci/alt.sh
@@ -28,4 +28,4 @@ apt-get install -y \
xxd \
&& control openssl-gost enabled
-apt-get install -y pkcs11-provider || true
+# apt-get install -y pkcs11-provider || true
diff --git a/ci/debian.sh b/ci/debian.sh
index e1bae43..34125d4 100755
--- a/ci/debian.sh
+++ b/ci/debian.sh
@@ -59,4 +59,4 @@ $apt \
$apt xxd || $apt vim-common
$apt libengine-gost-openssl || true
$apt softhsm2 gnutls-bin libengine-pkcs11-openssl || true
-$apt softhsm2 gnutls-bin pkcs11-provider || true
+# $apt softhsm2 gnutls-bin pkcs11-provider || true
--
2.43.0
next prev parent reply other threads:[~2024-06-21 0:59 UTC|newest]
Thread overview: 11+ messages / expand[flat|nested] mbox.gz Atom feed top
2024-06-21 0:59 [ima-evm-utils][PATCH 0/3] Enable and disable OpenSSL provider tests Stefan Berger
2024-06-21 0:59 ` [ima-evm-utils][PATCH 1/3] Call OPENSSL_Cleanup before main exit to avoid crashes when engine was used Stefan Berger
2024-06-21 0:59 ` Stefan Berger [this message]
2024-06-21 10:03 ` [ima-evm-utils][PATCH 2/3] CI/CD: Disable pkcs11 providers for Debian and AltLinux Jonathan McDowell
2024-06-21 10:24 ` Mimi Zohar
2024-06-21 11:44 ` Jonathan McDowell
2024-06-21 20:34 ` Mimi Zohar
2024-06-24 9:24 ` Jonathan McDowell
2024-06-21 11:10 ` Mimi Zohar
2024-06-21 0:59 ` [ima-evm-utils][PATCH 3/3] CI/CD: Also enable Ubuntu 24.04 (Noble) and run provider tests Stefan Berger
2024-06-21 11:08 ` Mimi Zohar
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=20240621005912.1365462-3-stefanb@linux.vnet.ibm.com \
--to=stefanb@linux.vnet.ibm.com \
--cc=linux-integrity@vger.kernel.org \
--cc=stefanb@linux.ibm.com \
--cc=zohar@linux.ibm.com \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox